function order_angles, list_scanrot


;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;;; copyright H\'el\`ene Roussel
;;; roussel@iap.fr
;;; Institut d'Astrophysique de Paris - Universit\'e Pierre et Marie Curie, France

;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



nscans = n_elements(list_scanrot)

scanrot_pos = list_scanrot
w = where(scanrot_pos lt 0.D0, cw)
if cw ge 1 then scanrot_pos(w) += 180.D0
if min(scanrot_pos) ge 90.D0 then scanrot_pos -= 90.D0
ind_order_scans = [0]
ind = 0
scanrot_pos_elim = scanrot_pos
scanrot_pos_elim(0) = !values.f_nan
repeat begin
   m = min(min([[abs(90.D0 + scanrot_pos(ind) - scanrot_pos_elim)], $
      [abs(-90.D0 + scanrot_pos(ind) - scanrot_pos_elim)]], /nan, dimension=2), /nan, ind_cross)
   w = where(abs(scanrot_pos(ind_cross) - scanrot_pos_elim) lt 1.D0, cw)
   ind_cross = w(0)
   ind_order_scans = [ind_order_scans, ind_cross]
   ind = ind_cross
   scanrot_pos_elim(ind) = !values.f_nan
endrep until n_elements(ind_order_scans) eq nscans


return, ind_order_scans

end
